# Page Not Found

The URL `api-reference/billing/get_payment_history` does not exist. This page may have been moved, renamed, or deleted.

## Suggested Pages

You may be looking for one of the following:
- [Get Payment History](https://docs.nebulablock.com/overview/platform_api/get_credit_balance/get_payment_history.md)
- [Generate Images](https://docs.nebulablock.com/overview/inference-api-openai-compatible/generate_images.md)
- [Generate Text](https://docs.nebulablock.com/overview/inference-api-openai-compatible/generate_text.md)
- [Get Started](https://docs.nebulablock.com/core-services/overview-2/getting_started.md)
- [Model List](https://docs.nebulablock.com/core-services/overview/model_list.md)

## How to find the correct page

If the exact page cannot be found, you can still retrieve the information using the documentation query interface.

### Option 1 — Ask a question (recommended)

Perform an HTTP GET request on the documentation index with the `ask` parameter:

```
GET https://docs.nebulablock.com/overview/platform_api/get_credit_balance/get_payment_history.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

### Option 2 — Browse the documentation index

Full index: https://docs.nebulablock.com/sitemap.md

Use this to discover valid page paths or navigate the documentation structure.

### Option 3 — Retrieve the full documentation corpus

Full export: https://docs.nebulablock.com/llms-full.txt

Use this to access all content at once and perform your own parsing or retrieval. It will be more expensive.

## Tips for requesting documentation

Prefer `.md` URLs for structured content, append `.md` to URLs (e.g., `/overview/platform_api/get_credit_balance/get_payment_history.md`).

You may also use `Accept: text/markdown` header for content negotiation.
